Gyoto::Screen::Bucket Class Reference

Class containing arbitrary 2D-points. More...

`#include <GyotoScreen.h>`

Inheritance diagram for Gyoto::Screen::Bucket:

## Public Member Functions

| Bucket (Coord1dSet &iset, Coord1dSet &jset)
virtual Coord2dSet & | operator++ ()
| Increment pointer.
virtual GYOTO_ARRAY< double, 2 > | angles () const
| Get angle coordinates.
virtual GYOTO_ARRAY< size_t, 2 > | operator* () const
| Get pixel coordinates.
virtual void | begin ()
| Reset pointer.
virtual bool | valid ()
| Whether the end has not been passed.
virtual size_t | size ()
| Number of positions contained.

## Public Attributes

const CoordType_e | kind
| Whether this set holds pixels or angle specifications.

## Protected Attributes

Coord1dSet & | alpha_
Coord1dSet & | delta_

## Detailed Description

Class containing arbitrary 2D-points.

ispec_ and jspec_ must be the same size.

## Member Function Documentation

## angles()

virtual GYOTO_ARRAY< double, 2 > Gyoto::Screen::Bucket::angles | ( |  | ) | const

virtual

Get angle coordinates.

Reimplemented from Gyoto::Screen::Coord2dSet.

## begin()

virtual void Gyoto::Screen::Bucket::begin | ( |  | ) |

virtual

Reset pointer.

Implements Gyoto::Screen::Coord2dSet.

## operator*()

virtual GYOTO_ARRAY< size_t, 2 > Gyoto::Screen::Bucket::operator* | ( |  | ) | const

virtual

Get pixel coordinates.

Reimplemented from Gyoto::Screen::Coord2dSet.

## operator++()

virtual Coord2dSet & Gyoto::Screen::Bucket::operator++ | ( |  | ) |

virtual

Increment pointer.

Implements Gyoto::Screen::Coord2dSet.

## size()

virtual size_t Gyoto::Screen::Bucket::size | ( |  | ) |

virtual

Number of positions contained.

Implements Gyoto::Screen::Coord2dSet.

## valid()

virtual bool Gyoto::Screen::Bucket::valid | ( |  | ) |

virtual

Whether the end has not been passed.

Implements Gyoto::Screen::Coord2dSet.

The documentation for this class was generated from the following file:

- GyotoScreen.h